Update Dialog
Update a dialog.
Recipes
Update dialog name
Update dialog name
1. Set a name of the dialog
name field for a group or public dialog only.2. Set the ID of the dialog that should be updated
3. As a result, the API returns a dialog with an updated name.
Add participants to the dialog
Add participants to the dialog
1. Append participants to the array with participants IDs
push_all operator to append participants to the array with participants IDs.2. Set the participants that should be added to the dialog
occupants_ids array to add participants to the dialog.3. Set the ID of the dialog that should be updated
4. As a result, the API returns a dialog with new dialog participants.
Update custom data of the dialog
Update custom data of the dialog
1. Set a custom object that should be updated
data parameter to refer to a custom object that should be updated. The data stores data as a set of unique keys each having an associated value parameter.See this section to learn how to create a custom object class.2. Set a name of the class
CoolDialog custom object class.3. Specify custom object fields and their new values
Cooldialog class and set new values to these fields.4. Set the ID of the dialog that should be updated
5. As a result, the API returns a dialog with updated custom data.
Remove participants from dialog
Remove participants from dialog
1. Specify if you want to remove dialog participants
pull_all operator to remove participants from the array with participants IDs.2. Set the participants that should be removed from the dialog
occupants_ids array to remove the participants from the dialog.3. Set the ID of the dialog that should be updated
4. As a result, the API returns a dialog with an updated 'occupants_ids' array list.
Update dialog name with API key
Update dialog name with API key
1. Use 'Authorization' header to pass API key
2. Use 'On-Behalf-Of' header to pass user_id
3. Set a name of the dialog
4. Set the ID of the dialog that should be updated
5. As a result, the API returns a dialog with an updated name.
Update dialog owner (added in v2.39.0)
Update dialog owner (added in v2.39.0)
1. Set user_id of the dialog
2. Set the ID of the dialog that should be updated
3. As a result, the API returns a dialog with an updated user_id.
Add admins to the dialog (added in v2.52.0)
Add admins to the dialog (added in v2.52.0)
1. Append admins to the array with participants IDs
push_all operator to append admins to the array with participants IDs.2. Set the participants that should be added to the dialog
admin_ids array to add participants to the dialog.3. Set the ID of the dialog that should be updated
4. As a result, the API returns a dialog with new dialog admins.
Remove admins from dialog (added in v2.52.0)
Remove admins from dialog (added in v2.52.0)
1. Specify if you want to remove dialog admins
pull_all operator to remove admins from the array with participants IDs.2. Set the admins that should be removed from the dialog
admin_ids array to remove the participants from the dialog.3. Set the ID of the dialog that should be updated
4. As a result, the API returns a dialog with an updated 'admin_ids' array list.
Add participants to the dialog with API key
Add participants to the dialog with API key
1. Use 'Authorization' header to pass API key
2. Use 'On-Behalf-Of' header to pass user_id
3. Append participants to the array with participants IDs
push_all operator to append participants to the array with participants IDs.4. Set the participants that should be added to the dialog
occupants_ids array to add participants to the dialog.5. Set the ID of the dialog that should be updated
6. As a result, the API returns a dialog with new dialog participants.
Remove participants from dialog with API key
Remove participants from dialog with API key
1. Use 'Authorization' header to pass API key
2. Use 'On-Behalf-Of' header to pass user_id
3. Specify if you want to remove dialog participants
pull_all operator to remove participants from the array with participants IDs.4. Set the participants that should be removed from the dialog
occupants_ids array to remove the participants from the dialog.5. Set the ID of the dialog that should be updated
6. As a result, the API returns a dialog with an updated 'occupants_ids' array list.
Update custom data of the dialog with API key
Update custom data of the dialog with API key
1. Use 'Authorization' header to pass API key
2. Use 'On-Behalf-Of' header to pass user_id
3. Set a custom object that should be updated
4. Set a name of the class
CoolDialog custom object class.5. Specify custom object fields and their new values
Cooldialog class and set new values to these fields.6. Set the ID of the dialog that should be updated
7. As a result, the API returns a dialog with updated custom data.
Update is_join_required parameter (added in v2.34.0)
Update is_join_required parameter (added in v2.34.0)
1. Set is_join_required value
is_join_required field for GROUP dialogs only (type=2).Possible values:0— join not required1— join required
2. Set the ID of the dialog that should be updated
3. Result
is_join_required value.Update dialog owner (added in v2.39.0)
Update dialog owner (added in v2.39.0)
1. Set user_id of the dialog
2. Set the ID of the dialog that should be updated
3. As a result, the API returns a dialog with an updated user_id.
Add admins to the dialog with API key (added in v2.52.0)
Add admins to the dialog with API key (added in v2.52.0)
1. Use 'Authorization' header to pass API key
2. Use 'On-Behalf-Of' header to pass user_id
3. Append admins to the array with participants IDs
push_all operator to append admins to the array with participants IDs.4. Set the admins that should be added to the dialog
admin_ids array to add participants to the dialog.5. Set the ID of the dialog that should be updated
6. As a result, the API returns a dialog with new dialog admins.
Remove admins from dialog with API key (added in v2.52.0)
Remove admins from dialog with API key (added in v2.52.0)
1. Use 'Authorization' header to pass API key
2. Use 'On-Behalf-Of' header to pass user_id
3. Specify if you want to remove dialog admins
pull_all operator to remove admins from the array with participants IDs.4. Set the admins that should be removed from the dialog
admin_ids array to remove the participants from the dialog.5. Set the ID of the dialog that should be updated
6. As a result, the API returns a dialog with an updated 'admin_ids' array list.
type=3 (PRIVATE):
- Any user from
occupants_idscan update custom parameters.
type=2 (GROUP): Admin Support (introduced in v2.52.0)
-
Any user from
occupants_idscan add other users. -
Any user from
occupants_idscan remove only himself. -
Any user from
occupants_idscan update custom parameters. -
Dialog’s owner (creator) and admin can remove any users from
occupants_ids. -
Only dialog’s owner (creator) can add other users to
admin_ids. -
Only dialog’s owner (creator) can remove any users from
admin_ids. -
Admins can remove themselves from
admin_ids.
type=1 (PUBLIC_GROUP):
- Dialog’s owner (creator) and admin can update it.
-
Only dialog’s owner (creator) can add other users to
admin_ids. -
Only dialog’s owner (creator) can remove any users from
admin_ids. -
Admins can remove themselves from
admin_ids.
Path Parameters
Body Parameters
type=2 (GROUP).Possible values: 0 — join not required, 1 — join required. (added in v2.34.0).
Headers
ApiKey {your_api_key}. Must be used either QB-Token or Authorization.Responses
200
200
400
400
403
403